=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libgpgme11-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.4.0+really1.3.6~),
+               libldb-dev (>= 2:1.4.2),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
@@ -41,18 +41,18 @@
                libpopt-dev,
                libreadline-dev,
                libsystemd-dev [linux-any],
-               libtalloc-dev (>= 2.1.11~),
-               libtdb-dev (>= 1.3.15~),
-               libtevent-dev (>= 0.9.36~),
+               libtalloc-dev (>= 2.1.14~),
+               libtdb-dev (>= 1.3.16~),
+               libtevent-dev (>= 0.9.37~),
                perl,
                pkg-config,
                po-debconf,
                python-all-dev (>= 2.6.6-3),
                python-dnspython,
-               python-ldb (>= 2:1.4.0+really1.3.6~),
-               python-ldb-dev (>= 2:1.4.0+really1.3.6~),
-               python-talloc-dev (>= 2.1.11~),
-               python-tdb (>= 1.3.15~),
+               python-ldb (>= 2:1.4.2),
+               python-ldb-dev (>= 2:1.4.2),
+               python-talloc-dev (>= 2.1.14~),
+               python-tdb (>= 1.3.16~),
                python-testtools,
                python3,
                xfslibs-dev [linux-any],
