=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # samba ships ldb modules, which are specific to the ldb version, so we need a
 # strict dependency on the upstream ldb version
 # this also mean samba needs a rebuild when the upstream ldb version changes
-LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):1.4.0+really$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):1.4.0+really$(LDB_VERSION)~)"
+LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):$(LDB_VERSION)~)"
 export PYSHORT=$(shell pyversions -d)
 export PYTHON=$(shell which $(PYSHORT))
 export PYTHON_CONFIG="$(PYTHON)-config"
@@ -79,7 +79,7 @@
 		--without-systemd
 endif
 
-ifeq ($(DEB_HOST_ARCH), amd64)
+ifeq ($(DEB_HOST_ARCH_CPU), amd64)
 	conf_args += \
 		--accel-aes=intelaesni
 endif
@@ -144,6 +144,7 @@
 	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
 	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
 	rm -r $(DESTDIR)/usr/share/ctdb/tests
+ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Install systemd configs
 	mkdir -p $(DESTDIR)/lib/systemd/system/
 	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
@@ -160,12 +161,15 @@
 	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
 	  $(DESTDIR)/lib/systemd/system/smbd.service \
 	  $(DESTDIR)/lib/systemd/system/winbind.service
+endif
+	# Harmless on systems without systemd-tmpfiles, and other consumers exist
+	# such as OpenRC's opentmpfiles
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
 	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
 
 override_dh_installdocs-arch:
-	cp ctdb/config/events.d/README ctdb/README.eventscripts
-	cp ctdb/config/notify.d.README ctdb/README.notify.d
+	cp ctdb/config/events/README ctdb/README.eventscripts
+	cp ctdb/config/notification.README ctdb/README.notification
 	dh_installdocs
 ifeq ($(DEB_HOST_ARCH_OS), hurd)
 	dh_installdocs -pctdb debian/ctdb.README.hurd
@@ -190,7 +194,6 @@
 	dh_installinit -pwinbind
 endif
 ifneq (,$(filter ctdb, $(shell dh_listpackages)))
-	install -m644 ctdb/config/ctdbd.conf $(CURDIR)/debian/ctdb/etc/ctdb/ctdbd.conf
 	# Install /etc/init.d/ctdb
 	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
 	install -m755 ctdb/config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
@@ -199,6 +202,3 @@
 endif
 
 override_dh_installsystemd:
-ifneq (,$(filter samba, $(shell dh_listpackages)))
-	dh_installsystemd -psamba
-endif
