=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libgpgme11-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.4.2),
+               libldb-dev (>= 2:1.4.3),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
@@ -49,8 +49,8 @@
                po-debconf,
                python-all-dev (>= 2.6.6-3),
                python-dnspython,
-               python-ldb (>= 2:1.4.2),
-               python-ldb-dev (>= 2:1.4.2),
+               python-ldb (>= 2:1.4.3),
+               python-ldb-dev (>= 2:1.4.3),
                python-talloc-dev (>= 2.1.14~),
                python-tdb (>= 1.3.16~),
                python-testtools,
