## samba 4.9.4+dfsg

=== debian/changelog ===
samba (2:4.9.4+dfsg-4.0nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Wed, 27 Feb 2019 16:26:42 +0200

samba (2:4.9.4+dfsg-4) unstable; urgency=medium

  * samba-libs: Add Breaks+Replaces: libndr-standard0 (<< 4) (Closes: #910242)
  * Improve AppArmor integration (Closes: #896080)
    - Install update-apparmor-samba-profile 1.2 from Christian Boltz (openSUSE)
    - Adapt update-apparmor-samba-profile: Rename apparmor profile snippet, and
      test for it's directory
    - smbd.init: Run update-apparmor-samba-profile before start
    - smbd.service: Run update-apparmor-samba-profile before start
    - Remove /etc/apparmor.d/samba/smbd-shares on purge

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Feb 2019 22:18:19 +0100

samba (2:4.9.4+dfsg-3) unstable; urgency=medium

  [ Ivo De Decker ]
  * Remove myself from uploaders

  [ Mathieu Parent ]
  * Update debian/gitlab-ci.yml
  * Standards-Version: 4.3.0
  * Add upstream patch for python-gpg support
  * Replace Suggests: python-gpgme by Recommends: python-gpg (Closes: #876984)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 15 Feb 2019 11:14:10 +0100

samba (2:4.9.4+dfsg-2) unstable; urgency=medium

  * Append +really0.02 to libparse-pidl-perl version (Closes: #918564)
  * Add apport hook (From Ubuntu)
  * Change build dependency to libglusterfs-dev (Closes: #919667)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 23 Jan 2019 20:59:08 +0100

samba (2:4.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove patches for previous security fixes, merged
    - Remove unused lintian overrides (library-not-linked-against-libc)
  * ignore create_builtin_guests() failing without a valid idmap configuration
    (Closes: #909465, #899269)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 22 Dec 2018 18:32:00 +0100

samba (2:4.9.2+dfsg-2) unstable; urgency=high

  * New upstream security release
    - CVE-2018-14629 Unprivileged adding of CNAME record causing loop in AD
      Internal DNS server
    - CVE-2018-16841 Double-free in Samba AD DC KDC with PKINIT
    - CVE-2018-16851 NULL pointer de-reference in Samba AD DC LDAP server
    - CVE-2018-16852 NULL pointer de-reference in Samba AD DC DNS servers
    - because of CVE-2018-16853 (Samba AD DC S4U2Self Crash in experimental
      MIT Kerberos configuration (unsupported)), mark the MIT Kerberos build of
      the Samba AD DC as experimental (not used in Debian package)
    - CVE-2018-16857 Bad password count in AD DC not always effective
  * Prepend 1.5.1+really to ldb version

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Nov 2018 23:21:27 +0100
