=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
-           Ivo De Decker <ivodd@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
            Andrew Bartlett <abartlet+debian@catalyst.net.nz>
 Homepage: http://www.samba.org
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: bison,
                debhelper (>= 11),
                dh-exec,
@@ -16,7 +15,6 @@
                docbook-xml,
                docbook-xsl,
                flex,
-               glusterfs-common [linux-any],
                libacl1-dev,
                libarchive-dev,
                libattr1-dev,
@@ -29,18 +27,18 @@
                libcmocka-dev (>= 1.1.1),
                libcups2-dev,
                libdbus-1-dev,
+               libglusterfs-dev [linux-any],
                libgnutls28-dev,
                libgpgme11-dev,
                libjansson-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.4.3),
+               libldb-dev (>= 2:1.5.1+really1.4.3),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
                libpcap-dev [hurd-i386 kfreebsd-any],
                libpopt-dev,
                libreadline-dev,
-               libsystemd-dev [linux-any],
                libtalloc-dev (>= 2.1.14~),
                libtdb-dev (>= 1.3.16~),
                libtevent-dev (>= 0.9.37~),
@@ -49,8 +47,8 @@
                po-debconf,
                python-all-dev (>= 2.6.6-3),
                python-dnspython,
-               python-ldb (>= 2:1.4.3),
-               python-ldb-dev (>= 2:1.4.3),
+               python-ldb (>= 2:1.5.1+really1.4.3),
+               python-ldb-dev (>= 2:1.5.1+really1.4.3),
                python-talloc-dev (>= 2.1.14~),
                python-tdb (>= 1.3.16~),
                python-testtools,
@@ -110,7 +108,8 @@
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: samba (<< 2:4.3.3+dfsg-1)
+Breaks: libndr-standard0 (<< 4)
+Replaces: samba (<< 2:4.3.3+dfsg-1), libndr-standard0 (<< 4)
 Description: Samba core libraries
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -243,7 +242,6 @@
 Architecture: any
 Section: python
 Provides: ${python:Provides}
-Suggests: python-gpgme
 Depends: python-crypto,
          python-ldb,
          python-tdb,
@@ -251,6 +249,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
+Recommends: python-gpg
 Description: Python bindings for Samba
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
