=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -20,7 +21,7 @@
 # samba ships ldb modules, which are specific to the ldb version, so we need a
 # strict dependency on the upstream ldb version
 # this also mean samba needs a rebuild when the upstream ldb version changes
-LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):$(LDB_VERSION)~)"
+LDB_DEPENDS = "libldb1 (<< $(LDB_EPOCH):1.5.1+really$(LDB_NEXT_VERSION)~), libldb1 (>> $(LDB_EPOCH):1.5.1+really$(LDB_VERSION)~)"
 export PYSHORT=$(shell pyversions -d)
 export PYTHON=$(shell which $(PYSHORT))
 export PYTHON_CONFIG="$(PYTHON)-config"
@@ -69,7 +70,7 @@
 		--with-socketpath=/var/run/ctdb/ctdbd.socket \
 		--with-logdir=/var/log/ctdb
 
-ifeq ($(DEB_HOST_ARCH_OS), linux)
+ifeq ($(DEB_HOST_ARCH_OS), poetterix)
 	conf_args += \
 		--with-systemd \
 		--systemd-install-services \
@@ -123,12 +124,15 @@
 	# Debian goodies
 	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
 	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
+	install -m755 debian/update-apparmor-samba-profile $(DESTDIR)/usr/share/samba/update-apparmor-samba-profile
 	cp debian/gdbcommands $(DESTDIR)/etc/samba/
 	mkdir -p $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d/samba
 	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
 	mkdir -p $(DESTDIR)/etc/ufw/applications.d
 	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
+	mkdir -p $(DESTDIR)/usr/share/apport/package-hooks
+	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
 	# Install other stuff not installed by "make install"
 	mkdir -p debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba
 	mv $(DESTDIR)/usr/lib/$(PYSHORT)/dist-packages/samba/dckeytab.so \
@@ -144,26 +148,6 @@
 	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
 	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
 	rm -r $(DESTDIR)/usr/share/ctdb/tests
-ifeq ($(DEB_HOST_ARCH_OS), linux)
-	# Install systemd configs
-	mkdir -p $(DESTDIR)/lib/systemd/system/
-	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
-	# Services fixups
-	mv $(DESTDIR)/lib/systemd/system/nmb.service $(DESTDIR)/lib/systemd/system/nmbd.service
-	mv $(DESTDIR)/lib/systemd/system/smb.service $(DESTDIR)/lib/systemd/system/smbd.service
-	mv $(DESTDIR)/lib/systemd/system/samba.service $(DESTDIR)/lib/systemd/system/samba-ad-dc.service
-	sed -i \
-	  -e 's|/etc/sysconfig/|/etc/default/|' \
-	  -e 's|nmb\.service|nmbd.service|' \
-	  -e 's|smb\.service|smbd.service|' \
-	  -e 's|samba\.service|samba-ad-dc.service|' \
-	  $(DESTDIR)/lib/systemd/system/nmbd.service \
-	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
-	  $(DESTDIR)/lib/systemd/system/smbd.service \
-	  $(DESTDIR)/lib/systemd/system/winbind.service
-endif
-	# Harmless on systems without systemd-tmpfiles, and other consumers exist
-	# such as OpenRC's opentmpfiles
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
 	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
 
@@ -201,4 +185,29 @@
 	dh_installinit -pctdb --no-start --no-stop-on-upgrade --onlyscripts
 endif
 
-override_dh_installsystemd:
+override_dh_installpam:
+	dh_installpam --name=samba
+
+override_dh_perl-arch:
+	dh_perl -a
+	# Fix Perl shbangs
+	sed -i '1s@^#!/usr/bin/env perl@#!/usr/bin/perl@' \
+	  debian/libparse-pidl-perl/usr/bin/pidl \
+	  debian/smbclient/usr/bin/findsmb
+
+override_dh_fixperms:
+	dh_fixperms
+ifneq (,$(filter samba-common, $(shell dh_listpackages)))
+	chmod a+x debian/samba-common/usr/share/samba/panic-action
+endif
+ifneq (,$(filter samba, $(shell dh_listpackages)))
+	chmod 1777 debian/samba/var/spool/samba/
+endif
+ifneq (,$(filter smbclient, $(shell dh_listpackages)))
+	chmod 0700 debian/smbclient/usr/lib/*/samba/smbspool_krb5_wrapper
+endif
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_makeshlibs:
