## samba 4.9.5%2Bdfsg

=== lib/crypto/wscript ===
#!/usr/bin/env python

def set_options(opt):
    opt.add_option('--accel-aes',
        help=("Should we use accelerated AES crypto functions. Options are intelaesni|none."),
        action="store", dest='accel_aes', default="none")
